import { request } from 'umi';
import { api } from '../api';
import { Paging, SortProps } from '../gameData/rankingList';
let wapi = api + '/gameGsData'

export interface GetBigRProps extends Paging, SortProps {
    roleSource: 1 | 2, // 必填：角色来源：1：区服指派；2：角色指派
    sourceSystem: string, // 必填：SDK来源；默认ZX_ONE
    dtBegin?: string, // 充值统计日期开始
    dtEnd?: string,
    gsIdList?: number[],    // 消耗开始时间
    humanRemoveGameStatus?: 0 | 1, // 人工判断角色退游状态：0：未退游；1：退游
    parentGameId?: number,   // 父游戏id
    roleCreateDayBegin?: string  // 角色创建日期开始
    roleCreateDayEnd?: string
    roleName?: string   // 角色名称
    serveDayBegin?: string, // 服务日期开始
    serveDayEnd?: string,
    serveStatus?: 1 | 2, // 服务状态：1：服务中；2：服务完成
    serverIdList?: string[], // 角色当前所在区服id列表
    superGameId?: number,  //超父游戏id 
    systemRemoveGameStatus?: 0 | 1 // 系统判断角色退游状态：0：未退游；1：退游
}
/**
 * 投手总数居
 * @param data 
 * @returns 
 */
export async function getBigRApi(data: GetBigRProps) {
    return request(wapi + `/game/parent/bigR/listOfPage`, {
        method: 'POST',
        data
    });
}